{% extends "plantilla.html"%}
{% block contenido%}
{% load static %}
<div class="main-container">
  <div class="pd-ltr-20">
    <div class="card-box pd-20 height-100-p mb-30">
      <div class="row align-items-center">
        <div class="col-md-4">
          <h4 class="font-20 weight-500 mb-10 text-capitalize">
            Editar Vehiculo<div class="weight-60 font-3 text-blue">
              con placa  {{vehiculo.placa}}
              </div>
          </h4>
        </div>
        <div class="col-md-8">
        </div>
      </div>
      <form class="" action="/procesarActualizarVehiculo/" method="post" enctype="multipart/form-data" id="frm_marca">
        {% csrf_token %}
        <input type="hidden" name="id"  value="{{vehiculo.id}}">
        <div class="row">
          <div class="col-md-6">
            <label for="nombre_marca" class="form-label">Ingrese el modelo </label>
            <input type="text" class="form-control" name="modelo" id="modelo" placeholder="Ingrese el modelo del vehiculo" required value="{{vehiculo.modelo}}">
          </div>
          <div class="col-md-6">
            <label for="nombre_marca" class="form-label">Ingrese la placa </label>
            <input type="text" class="form-control" name="placa" id="placa" placeholder="XYZ-1234" required value="{{vehiculo.placa}}">
          </div>
        </div>
        <div class="row">
          <div class="col-md-6">
            <label for="nombre_marca" class="form-label">Ingrese el kilometraje </label>
            <input type="number" class="form-control" name="kilometraje" id="kilometraje" placeholder="Ingrese el kilometraje del vehiculo" required value="{{vehiculo.kilometraje}}">
          </div>
          <div class="col-md-6">
            <label for="nombre_marca" class="form-label">Ingrese el estado </label>
            <input type="text" class="form-control" name="estado" id="estado" placeholder="Ingrese la estado " required value="{{vehiculo.estado}}">
          </div>
        </div>
        <div class="row">
          <div class="col-md-12">
            <label for="nombre_marca" class="form-label">Seleccione el cliente </label>
            <select class="form-control" name="cliente" id="cliente" required>
            <option value="">--Seleccione a la cliente--</option>
            {% for cliente in clientes %}
              <option value="{{cliente.id}}"><b>CI:</b>{{cliente.cedula}} &nbsp; &nbsp;<b>NOMBRE:</b>{{cliente.nombre}}</option>
                {% endfor %}
            </select>
          </div>
          <div class="col-md-12">
            <label for="nombre_marca" class="form-label">Seleccione el modelo del carro  </label>
            <select class="form-control" name="marca" id="marca" required>
            <option value="">--Seleccione el modelo del vehiculo--</option>
            {% for marca in marcas %}
              <option value="{{marca.id}}">{{marca.nombre_marca}}</option>
                {% endfor %}
            </select>
          </div>
        </div>
        <script type="text/javascript">
      document.getElementById("cliente").value="{{vehiculo.cliente.id}}"
      document.getElementById("marca").value="{{vehiculo.marca.id}}"
    </script>
        <div class="col-md-12 mt-3">
          <center>
            <button type="submit" class="btn btn-primary"><i class="bi bi-floppy"></i>&nbsp; Guardar Marca</button>
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
          </center>
        </div>
      </form>
    </div>
    </div>
  </div>
{% endblock %}
